%define _phplib %{_libdir}/php56
%define _extdir %{_phplib}/extensions

Summary: OCI8 database php 5.6 extension
Summary(ko): php 5.6 OCI8 확장 모듈
Name: php56-oci8
Version: 5.6.26
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: oci8-%{version}-1.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php56api oracle-instantclient12.1-basiclite > 12.0
BuildRequires: php56-devel oracle-instantclient12.1-devel > 12.0
AutoReqProv: no

%description
OCI8 database php 5.6 extension

%prep
%setup -q -n oci8

%build

/usr/bin/phpize56

CFLAGS="${RPM_OPT_FLAGS}"
./configure \
%ifarch x86_64
	--with-oci8=instantclient,/usr/lib/oracle/12.1/client64/lib
%else
	--with-oci8=instantclient,/usr/lib/oracle/12.1/client/lib
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/oci8.so %{buildroot}%{_extdir}/oci8.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{fpm,cli}
for i in fpm cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php56.d/$i/oci8.ini <<EOF
extension = oci8.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/oci8.so
%config(noreplace) %{_sysconfdir}/php56.d/fpm/oci8.ini
%config(noreplace) %{_sysconfdir}/php56.d/cli/oci8.ini

%changelog
* Fri Sep 30 2016 JoungKyun.Kim <http://oops.org> 1:5.6.26-1%{?dist}
- update 5.6.26 oci extension

* Tue Jun 21 2016 JoungKyun.Kim <http://oops.org> 1:5.6.22-1%{?dist}
- update 5.6.22 oci extension
- Fixed bug #71422 Fix ORA-01438: value larger than specified precision allowed for this column

* Fri Jan 15 2016 JoungKyun.Kim <http://oops.org> 1:5.6.17-1%{?dist}
- update 5.6.17 oci extension

* Tue Nov 10 2015 JoungKyun.Kim <http://oops.org> 1:5.6.14-1%{?dist}
- update 5.6.14 oci extension

* Mon Aug 17 2015 JoungKyun.Kim <http://oops.org> 20:5.5.28-1%{?dist}
- update 5.5.28 oci extension

* Fri Mar 14 2014 JoungKyun.Kim <http://oops.org> 20:5.5.10-1%{?dist}
- update 5.5.10 oci extension

* Sat Jan 25 2014 JoungKyun.Kim <http://oops.org> 20:5.5.8-1%{?dist}
- packaged 5.5.8 oci extension
- link with oracle-instantclient12.1

